<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.pay.mapper.PayEmployeeInfoMapper">

    <resultMap type="com.ruoyi.pay.domain.PayEmployeeInfo" id="PayEmployeeInfoResult">
        <result property="id" column="id"/>
        <result property="tenantId" column="tenant_id"/>
        <result property="userId" column="user_id"/>
        <result property="deptId" column="dept_id"/>
        <result property="deptName" column="dept_name"/>
        <result property="name" column="name"/>
        <result property="sex" column="sex"/>
        <result property="age" column="age"/>
        <result property="phone" column="phone"/>
        <result property="idcard" column="idcard"/>
        <result property="bankCardNumber" column="bank_card_number"/>
        <result property="openingBank" column="opening_bank"/>
        <result property="basicSalary" column="basic_salary"/>
        <result property="daySalary" column="day_salary"/>
        <result property="hourSalary" column="hour_salary"/>
        <result property="restType" column="rest_type"/>
        <result property="hoursPerDay" column="hours_per_day"/>
        <result property="payCalcType" column="pay_calc_type"/>
        <result property="education" column="education"/>
        <result property="address" column="address"/>
        <result property="contact" column="contact"/>
        <result property="contactPhone" column="contact_phone"/>
        <result property="zhijian" column="zhijian"/>
        <result property="yewu" column="yewu"/>
        <result property="htstime" column="htstime"/>
        <result property="htetime" column="htetime"/>
        <result property="deleted" column="deleted"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>


</mapper>
